# Class RadiusData

java.lang.Object
org.jmol.atomdata.RadiusData

public class RadiusData extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RadiusData.EnumType`

## Field Summary

Fields
Modifier and Type
Field
Description
`RadiusData.EnumType`
`factorType`
`String`
`info`
`float`
`value`
`float`
`valueExtended`
`float[]`
`values`
`VDW`
`vdwType`

## Constructor Summary

Constructors
Constructor
Description
`RadiusData(float[] values, float value, RadiusData.EnumType factorType, VDW vdwType)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### info

public String info

### factorType

public RadiusData.EnumType factorType

### vdwType

public VDW vdwType

### value

public float value

### valueExtended

public float valueExtended

### values

public float[] values

## Constructor Details

### RadiusData

public RadiusData(float[] values, float value, RadiusData.EnumType factorType, VDW vdwType)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`